//
//  MetalTextFieldCell.m
//  Paparazzi!
//
//  Created by Wevah on 2005.08.08.
//  Copyright 2005 Derailer. All rights reserved.
//
// Copyright (C) 2004-2005 Nate Weaver (Wevah)
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

#import "MetalTextFieldCell.h"


static NSShadow *bevel;

@implementation MetalTextFieldCell

- (id)initTextCell:(NSString *)string {
	self = [super initTextCell:string];
	
	return self;
}

+ (void)initialize {
	if (!bevel) {
		bevel = [[NSShadow alloc] init];
		[bevel setShadowColor:[NSColor colorWithCalibratedWhite:1.0 alpha:0.5]];
		[bevel setShadowOffset:NSMakeSize(0.0, -1.0)];
	}	
}

- (void)drawInteriorWithFrame:(NSRect)cellFrame inView:(NSView *)controlView {
	[bevel set];
	[super drawInteriorWithFrame:cellFrame inView:controlView];
}

@end
